{% extends 'base.html.twig' %}

{% block body %}
    
    <section>
        <hgroup>
        <h1>Modifier le serveur {{server.getName()}}</h1>
        <h2>Modifiez l'enregistrement du serveur dans votre collection</h2>
      </hgroup>
       {% if error %}<article>Votre formulaire contient une erreur, merci de la corriger</article> {% endif %}
        <form method="POST" action="/servers/{{server.getId()}}">
          <input type="hidden" name="_METHOD" value="PUT"/>

  <!-- Grid -->
        <div class="grid">

            <!-- Markup example 1: input is inside label -->
            <label for="name">
            Nom du serveur
            <input type="text" id="name" name="name" placeholder="Nom du serveur" value="{{server.getName()}}" required>
            </label>

            <label for="ip">
            Adresse ip
            <input type="text" id="ip" name="ip_address" placeholder="Adresse ip" value="{{server.getIp_Address()}}" required>
            </label>

        </div>

        <!-- Markup example 2: input is after label -->
        <label for="hostname">Nom du host</label>
        <input type="text" id="hostname" name="host_name" placeholder="Nom du host" value="{{server.getHost_name()}}">
        <small>Optionnel, mais permet de se connecter avec un nom plus user friendly</small>

        <!-- Button -->
        <button class="outline" type="submit">Sauvegarder</button>

        </form>
      </section>
     
{% endblock %}
